jQuery(document).ready(function($){
    $(document).on('submit','#bv_alternate_smtp_settings_1 , #bv_alternate_smtp_settings_2 , #bv_alternate_smtp_settings_3',function(e){  
        e.preventDefault(); 
        var form = $(this);

        if(typeof jQuery.fn.validate !== 'function')
        {
            alert('Error in validating the form. coud not process ahead.');
            return false;
        }
        if(form.valid()){
            var btn = form.find('.btn-smtp-submit');
            var btnText = btn.val();

            $.ajax({
                url: bv_ajax.url,
                type: 'POST',
                data: {
                    action: 'bvsmtp_save_settings',
                    nonce: bv_ajax.nonce,
                    //form_data: form.serialize()
                    smtp_setting_index: form.find('[name="smtp_setting_index"]').val(),
                    bv_smtp_isactive: form.find('[name="bv_smtp_isactive"]:checked').val(),
                    smtp_host: form.find('[name="smtp_host"]').val(),
                    smtp_username: form.find('[name="smtp_username"]').val(),
                    smtp_password: form.find('[name="smtp_password"]').val(),
                    smtp_port: form.find('[name="smtp_port"]').val(),
                    smtp_encryption: form.find('[name="smtp_encryption"]:checked').val(),
                    smtp_from: form.find('[name="smtp_from"]').val(),
                    smtp_from_name: form.find('[name="smtp_from_name"]').val()
                },
                beforeSend: function () {
                    btn.prop('disabled',true).val('Please Wait...');
                },
                success: function (response) {
                    if (response.success == true) {
                        // alert(response.data.message);
                        form.find('p.form-save-result-msg').addClass('p-success').removeClass('p-error').text(response.data);
                    }else{
                        // alert(response.data.message);
                        form.find('p.form-save-result-msg').addClass('p-error').removeClass('p-success').text(response.data);
                    }

                    setTimeout(() => {
                        form.find('p.form-save-result-msg').removeClass(['p-error','p-success']).text('');
                    }, 10000);
                },
                error: function (xhr) {
                    alert('An error occurred while submitting form! Please try again.');
                },
                complete: function () {
                    btn.prop('disabled',false).val(btnText);
                },
            });
        }
    });

    $(document).on('submit','#bv_alternate_smtp_test',function(e){  
        e.preventDefault(); 
        var form = $(this);
        if(form.valid()){
            var btn = form.find('.btn-smtp-submit');
            var btnText = btn.val();

            var smtp_setting = $('#smtp_setting').val();
            var test_email_send_to = $('#test_email_send_to').val();
            var test_email_subject = $('#test_email_subject').val();
            
            $.ajax({
                url: bv_ajax.url,
                type: 'POST',
                data: {
                    action: 'bvsmtp_test_settings',
                    nonce: bv_ajax.nonce,
                    smtp_setting: smtp_setting,
                    test_email_send_to: test_email_send_to,
                    test_email_subject: test_email_subject
                },
                beforeSend: function () {
                    btn.prop('disabled',true).val('Please Wait...');
                },
                success: function (response) {
                    if (response.success == true) {
                        // alert(response.data.message);
                        form.find('p.form-save-result-msg').addClass('p-success').removeClass('p-error').text('Test email sent successfully.');
                        form.find('div#error_log').addClass(['success']).removeClass(['error']).html(response.data);
                    }else{
                        // alert(response.data.message);
                        form.find('p.form-save-result-msg').addClass('p-error').removeClass('p-success').text('Error! error occurred in sending mail. please review the error log');
                        form.find('div#error_log').addClass(['error']).removeClass(['success']).html(response.data);
                    }

                    // setTimeout(() => {
                    //     form.find('p.form-save-result-msg').removeClass(['p-error','p-success']).text('');
                    // }, 5000);
                },
                error: function (xhr) {
                    alert('An error occurred while submitting form! Please try again.');
                },
                complete: function () {
                    btn.prop('disabled',false).val(btnText);
                },
            });
        }
    });

    $(document).on('submit','#bv_alternate_smtp_global_settings',function(e){  
        e.preventDefault(); 
        var form = $(this);
        if(form.valid()){
            var btn = form.find('.btn-smtp-submit');
            var btnText = btn.val();

            var smtp_downtime_sendmailto = $('#smtp_downtime_sendmailto').val();
            var smtp_downtime_status = $('#smtp_downtime_status').val();
            var smtp_downtime_interval = $('#smtp_downtime_interval').val();
            var smtp_downtime_last_send_datetime = $('#smtp_downtime_last_send_datetime').val();

            $.ajax({
                url: bv_ajax.url,
                type: 'POST',
                data: {
                    action: 'bvsmtp_save_smtp_global_settings',
                    nonce: bv_ajax.nonce,
                    smtp_downtime_sendmailto: smtp_downtime_sendmailto,
                    smtp_downtime_status: smtp_downtime_status,
                    smtp_downtime_interval: smtp_downtime_interval,
                    smtp_downtime_last_send_datetime: smtp_downtime_last_send_datetime
                },
                beforeSend: function () {
                    btn.prop('disabled',true).val('Please Wait...');
                },
                success: function (response) {
                    if (response.success == true) {
                        // alert(response.data.message);
                        form.find('p.form-save-result-msg').addClass('p-success').removeClass('p-error').text(response.data);
                    }else{
                        // alert(response.data.message);
                        form.find('p.form-save-result-msg').addClass('p-error').removeClass('p-success').text(response.data);
                    }

                    // setTimeout(() => {
                    //     form.find('p.form-save-result-msg').removeClass(['p-error','p-success']).text('');
                    // }, 5000);
                },
                error: function (xhr) {
                    alert('An error occurred while submitting form! Please try again.');
                },
                complete: function () {
                    btn.prop('disabled',false).val(btnText);
                },
            });
        }
    });

    $('#show_hide_debug_log').on('click',function(){
        $('div#error_log').toggle(600,function(){
            if($(this).css('display') != 'none'){
                $('#show_hide_debug_log').text('Hide Debug Log');
                $('#copy_log').show();
            }else{
                $('#show_hide_debug_log').text('Show Debug Log');
                $('#copy_log').hide();
            }
        });        
    });

    $('button.btn-reset-password').on('click',function(){
        $(this).closest('td').find('input[type="password"]').prop('disabled',false).val('');
        $(this).remove();
    });

    $('#copy_log').click(function() {
        // Get the text from the div.
        const textToCopy = $('div#error_log').text();

        if(textToCopy == ''){
            alert('Nothing to copy. debug log is empty.');
            return;
        }
        
        // Use the Clipboard API to copy text.
        navigator.clipboard.writeText(textToCopy)
        .then(() => {
            alert('Content Copied Successfully.');
        })
        .catch(err => {
            alert('Failed to copy text: ', err);
        });
    });
      
});

// tabbing logic.
const tabs = document.querySelectorAll(".tab");
const contents = document.querySelectorAll(".content");

tabs.forEach((tab, index) => {
  tab.addEventListener("click", () => {
    tabs.forEach((tab) => {
      tab.classList.remove("active");
    });
    contents.forEach((content) => {
      content.classList.remove("active");
    });
    tab.classList.add("active");
    contents[index].classList.add("active");
  });
});