jQuery(document).ready(function ($) {

  // Extend jQuery validation with custom rule
  $.validator.addMethod("multiEmails", function (value, element) {
    if (this.optional(element)) {
      return true;  // If field is not required and empty, it's valid
    }

    // Split the input value by commas
    var emails = value.split(',');

    // Define email regex pattern for validation
    var emailPattern = /^[a-zA-Z0-9._%+-=#^$&]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/;

    // Check each email in the list
    for (var i = 0; i < emails.length; i++) {
      var email = emails[i].trim();  // Remove leading/trailing spaces
      if (!emailPattern.test(email)) {
        return false;  // If any email fails the test, return false
      }
    }

    return true;  // All emails passed validation
  }, "Please enter a valid list of comma-separated email addresses.");



  $("#bv_alternate_smtp_settings_1 , #bv_alternate_smtp_settings_2 , #bv_alternate_smtp_settings_3").each(function(){
    $(this).validate({
      errorClass: "bvsmtp-error",
      errorElement: "p",
      rules: {
        smtp_host: {
          required: true,
        },
        smtp_username: {
          required: true,
        },
        smtp_password: {
          required: true,
        },
        smtp_port: {
          required: true,
          digits: true
        },
        smtp_from: {
          required: true,
        },
        smtp_from_name: {
          required: true,
        },
      },
      messages: {
        smtp_host: {
          required: "This field is required.",
        },
        smtp_username: {
          required: "This field is required.",
        },
        smtp_password: {
          required: "This field is required.",
        },
        smtp_port: {
          required: "This field is required.",
        },
        smtp_from: {
          required: "This field is required.",
        },
        smtp_from_name: {
          required: "This field is required.",
        },
      }
    });
  });

  $("#bv_alternate_smtp_test").validate({
    errorClass: "bvsmtp-error",
    errorElement: "p",
    rules: {
      test_email_send_to: {
        required: true,
        email: true,
      }
    },
    messages: {
      test_email_send_to: {
        required: "This field is required.",
      }
    }
  });

  $("#bv_alternate_smtp_global_settings").validate({
    errorElement: "p",
    errorClass: "bvsmtp-error",
    rules: {
      smtp_downtime_sendmailto: {
        multiEmails: true  // Apply the custom rule
      }
    }
  });
});