<?php
/**
 * File for enqueueing scripts.
 *
 * @package alternate-smtp
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

 /**
  * Enqueue admin scripts.
  *
  * @return void
  */
function bvsmtp_enqueue_scripts() {
	global $plugin_page;

	if ( ! is_admin() || ! in_array( $plugin_page, array( 'bvsmtp_alternate_smtp_settings' ) ) ) {
		return;
	}
	
	wp_enqueue_style( 'bv-alternate-smtp', BVSMTP_PLUGIN_URL . 'assets/css/bv-alternate-smtp.css', null, '1.0.0', 'all' );
	wp_enqueue_script('jquery-validate',  BVSMTP_PLUGIN_URL . 'assets/js/jquery.validate.js', array('jquery'), '1.9.5', true);
	wp_enqueue_script( 'bv-alternate-smtp', BVSMTP_PLUGIN_URL . 'assets/js/bv-alternate-smtp.js', array( 'jquery' ), '1.0.0', true );
	wp_enqueue_script( 'bv-smtp-form-validate', BVSMTP_PLUGIN_URL . 'assets/js/bv-smtp-form-validate.js', array( 'jquery', 'jquery-validate' ), '1.0.0', true );
	wp_localize_script(
		'bv-alternate-smtp',
		'bv_ajax',
		array(
			'url'   => admin_url( 'admin-ajax.php' ),
			'nonce' => wp_create_nonce( 'ajax-nonce' ),
		)
	);
}
add_action( 'admin_enqueue_scripts', 'bvsmtp_enqueue_scripts' );
