<?php
/**
 * File for displaying SMTP Forms.
 *
 * @package alternate-smtp
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>

<div class="container alternate-smtp-wrapper">
  <div class="tabMenu">
	<h2 class="tab active">SMTP Setting 1</h2>
	<h2 class="tab">SMTP Setting 2</h2>
	<h2 class="tab">SMTP Setting 3</h2>
	<h2 class="tab">SMTP Global Settings</h2>
	<h2 class="tab">Send SMTP Test Mail</h2>
  </div>
  <?php if ( ! empty( $bv_smtp_notice ) ) : ?>
  <div class="notice notice-<?php echo esc_attr( $bv_smtp_notice['type'], 'alternate-smtp' ); ?> is-dismissible review-notice mt-3">
	<p><?php echo esc_attr( $bv_smtp_notice['message'], 'alternate-smtp' ); ?></p>
	<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
  </div>
  <?php endif; ?>
  <div class="tabContent">
	<div class="content active">
	  <h4>Enter SMTP Setting 1 Details</h4>
	  <h6 style="color:red">* Required Fields</h6>
	  <form name="bv_alternate_smtp_settings_1" id="bv_alternate_smtp_settings_1" method="post" action="" content>
		<input type="hidden" name="smtp_setting_index" value="1">
		<table class="form-table" role="presentation">
			<tbody>
				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Active?', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
						<?php $_is_active = ! empty( $bvopt_smpt_1['smtp_isactive'] ) ? esc_attr( $bvopt_smpt_1['smtp_isactive'], 'alternate-smtp' ) : ''; ?>
						<input type="radio" id="bv_smtp_isactive_active_1" name="<?php echo esc_attr( $bv_smtp_isactive, 'alternate-smtp' ); ?>"
							value="yes"
							<?php
							if ( 'yes' == $_is_active ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_isactive_active_1">Yes</label>
						<input type="radio" id="bv_smtp_isactive_inactive_1" name="<?php echo esc_attr( $bv_smtp_isactive, 'alternate-smtp' ); ?>"
							value="no"
							<?php
							if ( 'no' == $_is_active || empty( $_is_active ) ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_isactive_inactive_1">No</label>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Host:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_host, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_1['smtp_host'] ) ? esc_attr( $bvopt_smpt_1['smtp_host'], 'alternate-smtp' ) : ''; ?>"
							size="20"></td>

				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Username:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_username, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_1['smtp_username'] ) ? esc_attr( $bvopt_smpt_1['smtp_username'], 'alternate-smtp' ) : ''; ?>" size="20">
					</td>
				</tr>

				<tr>
					<?php
						$disabled = ! empty( $bvopt_smpt_1['smtp_password'] ) ? 'disabled' : '';
					?>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Password:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="password" name="<?php echo esc_attr( $bv_smtp_password, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_1['smtp_password'] ) ? '***********' : ''; ?>" size="20" <?php echo esc_html( $disabled ); ?>>
						<?php if ( ! empty( $disabled ) ) : ?>
							<button type="button" class="button button-warning btn-reset-password">Reset Password</button>
						<?php endif; ?>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Encription:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
					<?php $_smtp_encryption = ! empty( $bvopt_smpt_1['smtp_encryption'] ) ? esc_attr( $bvopt_smpt_1['smtp_encryption'], 'alternate-smtp' ) : ''; ?>
						<input type="radio" id="bv_smtp_encryption_none" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="none"
							<?php
							if ( 'none' == $_smtp_encryption || empty( $_smtp_encryption ) ) {
								echo esc_attr__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_none">None</label>
						<input type="radio" id="bv_smtp_encryption_ssl" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="ssl"
							<?php
							if ( 'ssl' == $_smtp_encryption ) {
								echo esc_attr__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_ssl">SSL</label>
						<input type="radio" id="bv_smtp_encryption_tls" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="tls"
							<?php
							if ( 'tls' == $_smtp_encryption ) {
								echo esc_attr__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_tls">TLS</label>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Port:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="number" name="<?php echo esc_attr( $bv_smtp_port, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_1['smtp_port'] ) ? esc_attr( $bvopt_smpt_1['smtp_port'], 'alternate-smtp' ) : ''; ?>"
							></td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP From Email:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="email" name="<?php echo esc_attr( $bv_smtp_from, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_1['smtp_from'] ) ? esc_attr( $bvopt_smpt_1['smtp_from'], 'alternate-smtp' ) : ''; ?>"
							size="20"></td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP From Name:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_from_name, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_1['smtp_from_name'] ) ? esc_attr( $bvopt_smpt_1['smtp_from_name'], 'alternate-smtp' ) : ''; ?>" size="20"></td>
				</tr>

				<hr />

				<tr>
					<th scope="row" ><label for="blogname">
						<input type="submit" name="<?php echo esc_attr( $bv_smtp_submit_btn, 'alternate-smtp' ); ?>" class="button-primary btn-smtp-submit"
								value="<?php esc_html_e( 'Save Changes', 'alternate-smtp' ); ?>" /></label>
					</th>
					<td><p class="form-save-result-msg"></p></td>
				</tr>

		</table>

	  </form>
	</div>
	<div class="content">
	  <h4>Enter SMTP Setting 2 Details</h4>
	  <h6 style="color:red">* Required Fields</h6>
	  <form name="bv_alternate_smtp_settings_2" id="bv_alternate_smtp_settings_2" method="post" action="" content>
		<input type="hidden" name="smtp_setting_index" value="2">
		<table class="form-table" role="presentation">
			<tbody>
				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Active?', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
						<?php $_is_active_2 = ! empty( $bvopt_smpt_2['smtp_isactive'] ) ? esc_attr( $bvopt_smpt_2['smtp_isactive'], 'alternate-smtp' ) : ''; ?>
						<input type="radio" id="bv_smtp_isactive_active_2" name="<?php echo esc_attr( $bv_smtp_isactive, 'alternate-smtp' ); ?>"
							value="yes"
							<?php
							if ( 'yes' == $_is_active_2) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_isactive_active_2">Yes</label>
						<input type="radio" id="bv_smtp_isactive_inactive_2" name="<?php echo esc_attr( $bv_smtp_isactive, 'alternate-smtp' ); ?>"
							value="no"
							<?php
							if ( 'no' == $_is_active_2 || empty( $_is_active_2 ) ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_isactive_inactive_2">No</label>
					</td>

				</tr>
				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Host:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_host, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_2['smtp_host'] ) ? esc_attr( $bvopt_smpt_2['smtp_host'], 'alternate-smtp' ) : ''; ?>"
							size="20"></td>

				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Username:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_username, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_2['smtp_username'] ) ? esc_attr( $bvopt_smpt_2['smtp_username'], 'alternate-smtp' ) : ''; ?>" size="20">
					</td>
				</tr>

				<tr>
					<?php
						$disabled = ! empty( $bvopt_smpt_2['smtp_password'] ) ? 'disabled' : '';
					?>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Password:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="password" name="<?php echo esc_attr( $bv_smtp_password, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_2['smtp_password'] ) ? '***********' : ''; ?>" size="20" <?php echo esc_html( $disabled ); ?>>
						<?php if ( ! empty( $disabled ) ) : ?>
							<button type="button" class="button button-warning btn-reset-password">Reset Password</button>
						<?php endif; ?>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Encription:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
						<?php $_smtp_encryption_2 = ! empty( $bvopt_smpt_2['smtp_encryption'] ) ? esc_attr( $bvopt_smpt_2['smtp_encryption'], 'alternate-smtp' ) : ''; ?>
						<input type="radio" id="bv_smtp_encryption_none" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="none"
							<?php
							if ( 'none' == $_smtp_encryption_2 || empty( $_smtp_encryption_2 ) ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_none">None</label>
						<input type="radio" id="bv_smtp_encryption_ssl" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="ssl"
							<?php
							if ( 'ssl' == $_smtp_encryption_2 ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_ssl">SSL</label>
						<input type="radio" id="bv_smtp_encryption_tls" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="tls"
							<?php
							if ( 'tls' == $_smtp_encryption_2 ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_tls">TLS</label>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Port:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="number" name="<?php echo esc_attr( $bv_smtp_port, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_2['smtp_port'] ) ? esc_attr( $bvopt_smpt_2['smtp_port'], 'alternate-smtp' ) : ''; ?>"
							></td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP From Email:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="email" name="<?php echo esc_attr( $bv_smtp_from, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_2['smtp_from'] ) ? esc_attr( $bvopt_smpt_2['smtp_from'], 'alternate-smtp' ) : ''; ?>"
							size="20"></td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP From Name:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_from_name, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_2['smtp_from_name'] ) ? esc_attr( $bvopt_smpt_2['smtp_from_name'], 'alternate-smtp' ) : ''; ?>" size="20"></td>
				</tr>

				<hr />

				<tr>
					<th scope="row"><label for="blogname">
							<input type="submit" name="<?php echo esc_attr( $bv_smtp_submit_btn, 'alternate-smtp' ); ?>" class="button-primary btn-smtp-submit"
								value="<?php esc_html_e( 'Save Changes', 'alternate-smtp' ); ?>" /></label>
					</th>
					<td><p class="form-save-result-msg"></p></td>
				</tr>

		</table>

	  </form>
	</div>
	<div class="content">
	  <h4>Enter SMTP Setting 3 Details</h4>
	  <h6 style="color:red">* Required Fields</h6>
	  <form name="bv_alternate_smtp_settings_3" id="bv_alternate_smtp_settings_3" method="post" action="" content>
		<input type="hidden" name="smtp_setting_index" value="3">
		<table class="form-table" role="presentation">
			<tbody>
				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Active?', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
						<?php $_is_active_3 = ! empty( $bvopt_smpt_3['smtp_isactive'] ) ? esc_attr( $bvopt_smpt_3['smtp_isactive'], 'alternate-smtp' ) : ''; ?>
						<input type="radio" id="bv_smtp_isactive_active_3" name="<?php echo esc_attr( $bv_smtp_isactive, 'alternate-smtp' ); ?>"
							value="yes"
							<?php
							if ( 'yes' == $_is_active_3 ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_isactive_active_3">Yes</label>
						<input type="radio" id="bv_smtp_isactive_inactive_3" name="<?php echo esc_attr( $bv_smtp_isactive, 'alternate-smtp' ); ?>"
							value="no"
							<?php
							if ( 'no' == $_is_active_3 || empty( $_is_active_3 ) ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_isactive_inactive_3">No</label>
					</td>

				</tr>
				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Host:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_host, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_3['smtp_host'] ) ? esc_attr( $bvopt_smpt_3['smtp_host'], 'alternate-smtp' ) : ''; ?>"
							size="20"></td>

				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Username:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_username, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_3['smtp_username'] ) ? esc_attr( $bvopt_smpt_3['smtp_username'], 'alternate-smtp' ) : ''; ?>" size="20">
					</td>
				</tr>

				<tr>
					<?php
						$disabled = ! empty( $bvopt_smpt_3['smtp_password'] ) ? 'disabled' : '';
					?>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Password:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="password" name="<?php echo esc_attr( $bv_smtp_password, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_3['smtp_password'] ) ? '***********' : ''; ?>" size="20" <?php echo esc_html( $disabled ); ?>>
						<?php if ( ! empty( $disabled ) ) : ?>
							<button type="button" class="button button-warning btn-reset-password">Reset Password</button>
						<?php endif; ?>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Encription:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
						<?php $_smtp_encryption_3 = ! empty( $bvopt_smpt_3['smtp_encryption'] ) ? esc_attr( $bvopt_smpt_3['smtp_encryption'], 'alternate-smtp' ) : ''; ?>
						<input type="radio" id="bv_smtp_encryption_none" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="none"
							<?php
							if ( 'none' == $_smtp_encryption_3 || empty( $_smtp_encryption_3 ) ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_none">None</label>
						<input type="radio" id="bv_smtp_encryption_ssl" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="ssl"
							<?php
							if ( isset($bvopt_smpt_3) && is_array($bvopt_smpt_3) && isset($bvopt_smpt_3['smtp_encryption']) && 'ssl' == $bvopt_smpt_3['smtp_encryption'] ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_ssl">SSL</label>
						<input type="radio" id="bv_smtp_encryption_tls" name="<?php echo esc_attr( $bv_smtp_encryption, 'alternate-smtp' ); ?>"
							value="tls"
							<?php
							if ( isset($bvopt_smpt_3) && is_array($bvopt_smpt_3) && isset($bvopt_smpt_3['smtp_encryption']) && 'tls' == $bvopt_smpt_3['smtp_encryption'] ) {
								echo esc_html__( 'checked', 'alternate-smtp' );}
							?>
							> <label
							for="bv_smtp_encryption_tls">TLS</label>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP Port:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="number" name="<?php echo esc_attr( $bv_smtp_port, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_3['smtp_port'] ) ? esc_attr( $bvopt_smpt_3['smtp_port'], 'alternate-smtp' ) : ''; ?>"
							></td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP From Email:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="email" name="<?php echo esc_attr( $bv_smtp_from, 'alternate-smtp' ); ?>" value="<?php echo ! empty( $bvopt_smpt_3['smtp_from'] ) ? esc_attr( $bvopt_smpt_3['smtp_from'], 'alternate-smtp' ) : ''; ?>"
							size="20"></td>
				</tr>

				<tr>
					<th scope="row"><label for="blogname"><?php esc_html_e( 'SMTP From Name:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="text" name="<?php echo esc_attr( $bv_smtp_from_name, 'alternate-smtp' ); ?>"
							value="<?php echo ! empty( $bvopt_smpt_3['smtp_from_name'] ) ? esc_attr( $bvopt_smpt_3['smtp_from_name'], 'alternate-smtp' ) : ''; ?>" size="20"></td>
				</tr>

				<hr />

				<tr>
					<th scope="row"><label for="blogname">
							<input type="submit" name="<?php echo esc_attr( $bv_smtp_submit_btn, 'alternate-smtp' ); ?>" class="button-primary btn-smtp-submit"
								value="<?php esc_html_e( 'Save Changes', 'alternate-smtp' ); ?>" /></label>
					</th>
					<td><p class="form-save-result-msg"></p></td>
				</tr>

		</table>

	  </form>
	</div>
	<div class="content">
		<h4>SMTP Global Settings</h4>
		<!-- <h6 style="color:red">* Required Fields</h6> -->
		<form name="bv_alternate_smtp_global_settings" id="bv_alternate_smtp_global_settings" method="post" action="" content>
			<input type="hidden" id="smtp_downtime_last_send_datetime" name="smtp_downtime_last_send_datetime" value="
			<?php
			if ( ! empty( $bvopt_smpt_global_settings['smtp_downtime_last_send_datetime'] ) ) {
				echo esc_html( $bvopt_smpt_global_settings['smtp_downtime_last_send_datetime'] ); }
			?>
			">
		<table class="form-table" role="presentation">
			<tbody>
				<tr>
					<th scope="row">
						<label for="blogname"><?php esc_html_e( 'SMTP Downtime Send Mail:', 'alternate-smtp' ); ?></label><br>
					</th>
					<td>
						<div style="display:flex;gap:10px;align-items:center;">

								<textarea style="width: 100%;" placeholder="Enter comma separated values" rows="1" name="<?php echo esc_attr( $bv_smtp_downtime_sendmailto, 'alternate-smtp' ); ?>" id="<?php echo esc_attr( $bv_smtp_downtime_sendmailto, 'alternate-smtp' ); ?>"><?php echo ! empty( $bvopt_smpt_global_settings['smtp_downtime_sendmailto'] ) ? esc_attr( $bvopt_smpt_global_settings['smtp_downtime_sendmailto'], 'alternate-smtp' ) : ''; ?></textarea>

								<?php
								// phpcs:disable PluginCheck.CodeAnalysis.ImageFunctions.NonEnqueuedImage
								?>
								<span class="tooltip-icon">
									<img src="<?php echo esc_url(plugins_url('assets/images/tooltip-icon.png', __FILE__)); ?>" alt="tooltip-icon">
							    <span class="tooltip-text">For multiple emails, enter comma-separated email addresses.</span>
								</span><br>
								<?php
								// phpcs:enable PluginCheck.CodeAnalysis.ImageFunctions.NonEnqueuedImage
								?>
						</div>
					</td>
				</tr>

				<tr>
					<th scope="row">
						<label for="blogname"><?php esc_html_e( 'SMTP Downtime Enable/Disable:', 'alternate-smtp' ); ?></label>
					</th>
					<td>
						<select name="smtp_downtime_status" id="smtp_downtime_status">
							<?php $smtp_downtime_status = ! empty( $bvopt_smpt_global_settings['smtp_downtime_status'] ) ? esc_attr( $bvopt_smpt_global_settings['smtp_downtime_status'], 'alternate-smtp' ) : ''; ?>
							<option value="enabled"
							<?php
							if ( 'enabled' == $smtp_downtime_status ) {
								echo 'selected'; }
							?>
							>Enabled</option>
							<option value="disabled"
							<?php
							if ( 'disabled' == $smtp_downtime_status ) {
								echo 'selected'; }
							?>
							>Disabled</option>
						</select>
					</td>
				</tr>

				<tr>
					<th scope="row">
						<label for="blogname"><?php esc_html_e( 'SMTP Downtime Notification Interval:', 'alternate-smtp' ); ?></label>
					</th>
					<td>
						<select name="smtp_downtime_interval" id="smtp_downtime_interval">
							<?php $smtp_downtime_interval = ! empty( $bvopt_smpt_global_settings['smtp_downtime_interval'] ) ? esc_attr( $bvopt_smpt_global_settings['smtp_downtime_interval'], 'alternate-smtp' ) : ''; ?>
							<option value="12"
							<?php
							if ( '12' == $smtp_downtime_interval ) {
								echo 'selected'; }
							?>
							>Every 12 Hours</option>
							<option value="24"
							<?php
							if ( '24' == $smtp_downtime_interval) {
								echo 'selected'; }
							?>
							>Every 24 Hours</option>
						</select>
					</td>
				</tr>

				<hr />

				<tr>
					<th scope="row"><label for="blogname">
							<input type="submit" name="submit" id="submit" class="button-primary btn-smtp-submit"
								value="Save" /></label>
					</th>
					<td><p class="form-save-result-msg"></p></td>
				</tr>

		</table>

	  </form>
	</div>
	<div class="content">
		<h4>Test SMTP Settings - Send Test Mail</h4>
		<h6 style="color:red">* Required Fields</h6>
		<form name="bv_alternate_smtp_test" id="bv_alternate_smtp_test" method="post" action="" content>
		<table class="form-table" role="presentation">
			<tbody>
				<tr>
					<th scope="row"><label for="smtp_setting"><?php esc_html_e( 'Select SMTP Setting:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td>
						<select name="smtp_setting" id="smtp_setting">
							<option value="smtp_setting_1" selected>SMTP Setting 1</option>
							<option value="smtp_setting_2">SMTP Setting 2</option>
							<option value="smtp_setting_3">SMTP Setting 3</option>
						</select>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="test_email_send_to"><?php esc_html_e( 'Test email send to:', 'alternate-smtp' ); ?><span style="color:red"> *</span></label></th>
					<td><input type="email" name="test_email_send_to" id="test_email_send_to"></td>
				</tr>

				<tr>
					<th scope="row"><label for="subject"><?php esc_html_e( 'Subject:', 'alternate-smtp' ); ?></label></th>
					<td><input type="text" name="test_email_subject" id="test_email_subject"> 
						<?php
								// phpcs:disable PluginCheck.CodeAnalysis.ImageFunctions.NonEnqueuedImage
								?>
						<span class="tooltip-icon">
							<img src="<?php echo esc_url(plugins_url('assets/images/tooltip-icon.png', __FILE__)); ?>" alt="tooltip-icon">
							<span class="tooltip-text">Default will be 'Test SMTP Mail'</span>
						</span>
						<?php
								// phpcs:enable PluginCheck.CodeAnalysis.ImageFunctions.NonEnqueuedImage
								?>
					</td>
				</tr>

				<tr>
					<th scope="row"><label for="message"><?php esc_html_e( 'Message:', 'alternate-smtp' ); ?></label></th>
					<td>This is a test mail send by sender. no need to reply or take any action.</td>
				</tr>

				<hr />

				<tr>
					<th scope="row"><label for="blogname">
							<input type="submit" name="test_setting" class="button-primary btn-smtp-submit"
								value="Send Test Mail" /></label>
					</th>
					<td><p class="form-save-result-msg"></p></td>
				</tr>

				<tr id="row_error_log">
					<th scope="row"><label for="message"><?php esc_html_e( 'Debug Log:', 'alternate-smtp' ); ?></label></th>
					<td>
						<button type="button" id="show_hide_debug_log" class="button button-primary" style="margin: 0 0 10px 0">Show Debug Log</button>
						&nbsp;&nbsp;<button type="button" id="copy_log" class="button button-warning" style="margin: 0 0 10px 0;display:none;">Copy Debug Log</button>
						<div class="error_log" id="error_log" style="overflow:auto;width: 100%;height:600px;border:1px solid black;padding:5px;display:none;"></div>
					</td>
				</tr>

		</table>

	  </form>
	</div>
  </div>

</div>
