<?php
/**
 * File for global functions used in all plugin files.
 *
 * @package alternate-smtp
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

/**
 * Encrypt the string.
 *
 * @param string $str the input string.
 * @return string $encrypted the encrypted string.
 */
function bvsmtp_encrypt( $str = '' ) {
	if ( empty( $str ) ) {
		return false;
	}

	// Define the secret key.
	$key = 'secret';

	// Define the encryption method.
	$method = 'AES-256-CBC';

	// Generate a random initialization vector (IV).
	$iv = openssl_random_pseudo_bytes( openssl_cipher_iv_length( $method ) );

	// Encrypt the data.
	$encrypted = openssl_encrypt( $str, $method, $key, 0, $iv );

	// Concatenate the IV and the encrypted data.
	$encrypted = base64_encode( $iv . $encrypted );

	return $encrypted;
}

/**
 * Decrypt the string.
 *
 * @param string $str the input string.
 * @return string $decrypted the decrypted string.
 */
function bvsmtp_decrypt( $str = '' ) {
	if ( empty( $str ) ) {
		return false;
	}

	// Define the secret key.
	$key = 'secret';

	 // Define the encryption method.
	 $method = 'AES-256-CBC';

	// Decode the encrypted data.
	$encrypted = base64_decode( $str );

	// Extract the IV and the encrypted data.
	$iv = substr( $encrypted, 0, openssl_cipher_iv_length( $method ) );
	$encrypted = substr( $encrypted, openssl_cipher_iv_length( $method ) );

	// Decrypt the data.
	$decrypted = openssl_decrypt( $encrypted, $method, $key, 0, $iv );

	return $decrypted;
}
